#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n = opt<int>("n", 200'000);
    int max_a = opt<int>("max-a", 1'000'000'000);
    println(n);
    vector<int> arr(n);
    for (int i = 0; i < n; ++i)
        arr[i] = rnd.next(1, max_a);
    println(arr);
}